// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: vmt-chc-benchmarks/vmt-PRODUCER_CONSUMER_vt_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "vmt-PRODUCER_CONSUMER_vt_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    int state_0;
    int state_1;
    int state_2;
    int state_3;
    _Bool state_4;
    _Bool state_5;
    _Bool state_6;
    _Bool state_7;
    _Bool state_8;
    _Bool state_9;
    _Bool state_10;
    _Bool state_11;
    int state_12;
    int state_13;
    int state_14;
    int state_15;
    int state_16;
    int state_17;
    int state_18;
    int state_19;
    int state_20;
    int state_21;
    int state_22;
    int state_23;
    int state_24;
    int state_25;
    int state_26;
    _Bool state_27;
    int state_28;
    int state_29;
    int state_30;
    int state_31;
    int state_32;
    _Bool state_33;
    int state_34;
    int state_35;
    int state_36;
    int state_37;
    int state_38;
    int state_39;
    int state_40;
    _Bool state_41;
    _Bool state_42;
    _Bool state_43;
    int A_0;
    _Bool B_0;
    _Bool C_0;
    _Bool D_0;
    _Bool E_0;
    int F_0;
    int G_0;
    int H_0;
    int I_0;
    int J_0;
    int K_0;
    int L_0;
    _Bool M_0;
    _Bool N_0;
    _Bool O_0;
    int P_0;
    int Q_0;
    int R_0;
    _Bool S_0;
    _Bool T_0;
    int U_0;
    int V_0;
    int W_0;
    int X_0;
    int Y_0;
    int Z_0;
    int A1_0;
    int B1_0;
    int C1_0;
    _Bool D1_0;
    _Bool E1_0;
    int F1_0;
    int G1_0;
    int H1_0;
    int I1_0;
    int J1_0;
    int K1_0;
    _Bool L1_0;
    int M1_0;
    int N1_0;
    int O1_0;
    int P1_0;
    _Bool Q1_0;
    int R1_0;
    int A_1;
    _Bool B_1;
    _Bool C_1;
    _Bool D_1;
    _Bool E_1;
    int F_1;
    int G_1;
    int H_1;
    int I_1;
    int J_1;
    int K_1;
    int L_1;
    int M_1;
    _Bool N_1;
    _Bool O_1;
    _Bool P_1;
    int Q_1;
    int R_1;
    int S_1;
    _Bool T_1;
    _Bool U_1;
    int V_1;
    int W_1;
    int X_1;
    int Y_1;
    int Z_1;
    int A1_1;
    int B1_1;
    int C1_1;
    int D1_1;
    _Bool E1_1;
    _Bool F1_1;
    int G1_1;
    int H1_1;
    int I1_1;
    int J1_1;
    int K1_1;
    int L1_1;
    int M1_1;
    _Bool N1_1;
    int O1_1;
    int P1_1;
    _Bool Q1_1;
    int R1_1;
    int S1_1;
    _Bool T1_1;
    int U1_1;
    _Bool V1_1;
    int W1_1;
    int X1_1;
    _Bool Y1_1;
    int Z1_1;
    _Bool A2_1;
    int B2_1;
    int C2_1;
    int D2_1;
    int E2_1;
    int F2_1;
    int G2_1;
    _Bool H2_1;
    _Bool I2_1;
    _Bool J2_1;
    int K2_1;
    int L2_1;
    _Bool M2_1;
    _Bool N2_1;
    int O2_1;
    int P2_1;
    int Q2_1;
    int R2_1;
    int S2_1;
    int T2_1;
    int U2_1;
    int V2_1;
    int W2_1;
    int X2_1;
    int Y2_1;
    _Bool Z2_1;
    _Bool A3_1;
    int B3_1;
    int C3_1;
    _Bool D3_1;
    int E3_1;
    int F3_1;
    int G3_1;
    int H3_1;
    _Bool I3_1;
    int J3_1;
    int A_2;
    _Bool B_2;
    _Bool C_2;
    _Bool D_2;
    _Bool E_2;
    int F_2;
    int G_2;
    int H_2;
    int I_2;
    int J_2;
    int K_2;
    int L_2;
    _Bool M_2;
    _Bool N_2;
    _Bool O_2;
    int P_2;
    int Q_2;
    int R_2;
    _Bool S_2;
    _Bool T_2;
    int U_2;
    int V_2;
    int W_2;
    int X_2;
    int Y_2;
    int Z_2;
    int A1_2;
    int B1_2;
    int C1_2;
    _Bool D1_2;
    _Bool E1_2;
    int F1_2;
    int G1_2;
    int H1_2;
    int I1_2;
    int J1_2;
    int K1_2;
    _Bool L1_2;
    int M1_2;
    int N1_2;
    int O1_2;
    int P1_2;
    _Bool Q1_2;
    int R1_2;

    if (((state_0 <= -1000000000) || (state_0 >= 1000000000))
        || ((state_1 <= -1000000000) || (state_1 >= 1000000000))
        || ((state_2 <= -1000000000) || (state_2 >= 1000000000))
        || ((state_3 <= -1000000000) || (state_3 >= 1000000000))
        || ((state_12 <= -1000000000) || (state_12 >= 1000000000))
        || ((state_13 <= -1000000000) || (state_13 >= 1000000000))
        || ((state_14 <= -1000000000) || (state_14 >= 1000000000))
        || ((state_15 <= -1000000000) || (state_15 >= 1000000000))
        || ((state_16 <= -1000000000) || (state_16 >= 1000000000))
        || ((state_17 <= -1000000000) || (state_17 >= 1000000000))
        || ((state_18 <= -1000000000) || (state_18 >= 1000000000))
        || ((state_19 <= -1000000000) || (state_19 >= 1000000000))
        || ((state_20 <= -1000000000) || (state_20 >= 1000000000))
        || ((state_21 <= -1000000000) || (state_21 >= 1000000000))
        || ((state_22 <= -1000000000) || (state_22 >= 1000000000))
        || ((state_23 <= -1000000000) || (state_23 >= 1000000000))
        || ((state_24 <= -1000000000) || (state_24 >= 1000000000))
        || ((state_25 <= -1000000000) || (state_25 >= 1000000000))
        || ((state_26 <= -1000000000) || (state_26 >= 1000000000))
        || ((state_28 <= -1000000000) || (state_28 >= 1000000000))
        || ((state_29 <= -1000000000) || (state_29 >= 1000000000))
        || ((state_30 <= -1000000000) || (state_30 >= 1000000000))
        || ((state_31 <= -1000000000) || (state_31 >= 1000000000))
        || ((state_32 <= -1000000000) || (state_32 >= 1000000000))
        || ((state_34 <= -1000000000) || (state_34 >= 1000000000))
        || ((state_35 <= -1000000000) || (state_35 >= 1000000000))
        || ((state_36 <= -1000000000) || (state_36 >= 1000000000))
        || ((state_37 <= -1000000000) || (state_37 >= 1000000000))
        || ((state_38 <= -1000000000) || (state_38 >= 1000000000))
        || ((state_39 <= -1000000000) || (state_39 >= 1000000000))
        || ((state_40 <= -1000000000) || (state_40 >= 1000000000))
        || ((A_0 <= -1000000000) || (A_0 >= 1000000000))
        || ((F_0 <= -1000000000) || (F_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((H_0 <= -1000000000) || (H_0 >= 1000000000))
        || ((I_0 <= -1000000000) || (I_0 >= 1000000000))
        || ((J_0 <= -1000000000) || (J_0 >= 1000000000))
        || ((K_0 <= -1000000000) || (K_0 >= 1000000000))
        || ((L_0 <= -1000000000) || (L_0 >= 1000000000))
        || ((P_0 <= -1000000000) || (P_0 >= 1000000000))
        || ((Q_0 <= -1000000000) || (Q_0 >= 1000000000))
        || ((R_0 <= -1000000000) || (R_0 >= 1000000000))
        || ((U_0 <= -1000000000) || (U_0 >= 1000000000))
        || ((V_0 <= -1000000000) || (V_0 >= 1000000000))
        || ((W_0 <= -1000000000) || (W_0 >= 1000000000))
        || ((X_0 <= -1000000000) || (X_0 >= 1000000000))
        || ((Y_0 <= -1000000000) || (Y_0 >= 1000000000))
        || ((Z_0 <= -1000000000) || (Z_0 >= 1000000000))
        || ((A1_0 <= -1000000000) || (A1_0 >= 1000000000))
        || ((B1_0 <= -1000000000) || (B1_0 >= 1000000000))
        || ((C1_0 <= -1000000000) || (C1_0 >= 1000000000))
        || ((F1_0 <= -1000000000) || (F1_0 >= 1000000000))
        || ((G1_0 <= -1000000000) || (G1_0 >= 1000000000))
        || ((H1_0 <= -1000000000) || (H1_0 >= 1000000000))
        || ((I1_0 <= -1000000000) || (I1_0 >= 1000000000))
        || ((J1_0 <= -1000000000) || (J1_0 >= 1000000000))
        || ((K1_0 <= -1000000000) || (K1_0 >= 1000000000))
        || ((M1_0 <= -1000000000) || (M1_0 >= 1000000000))
        || ((N1_0 <= -1000000000) || (N1_0 >= 1000000000))
        || ((O1_0 <= -1000000000) || (O1_0 >= 1000000000))
        || ((P1_0 <= -1000000000) || (P1_0 >= 1000000000))
        || ((R1_0 <= -1000000000) || (R1_0 >= 1000000000))
        || ((A_1 <= -1000000000) || (A_1 >= 1000000000))
        || ((F_1 <= -1000000000) || (F_1 >= 1000000000))
        || ((G_1 <= -1000000000) || (G_1 >= 1000000000))
        || ((H_1 <= -1000000000) || (H_1 >= 1000000000))
        || ((I_1 <= -1000000000) || (I_1 >= 1000000000))
        || ((J_1 <= -1000000000) || (J_1 >= 1000000000))
        || ((K_1 <= -1000000000) || (K_1 >= 1000000000))
        || ((L_1 <= -1000000000) || (L_1 >= 1000000000))
        || ((M_1 <= -1000000000) || (M_1 >= 1000000000))
        || ((Q_1 <= -1000000000) || (Q_1 >= 1000000000))
        || ((R_1 <= -1000000000) || (R_1 >= 1000000000))
        || ((S_1 <= -1000000000) || (S_1 >= 1000000000))
        || ((V_1 <= -1000000000) || (V_1 >= 1000000000))
        || ((W_1 <= -1000000000) || (W_1 >= 1000000000))
        || ((X_1 <= -1000000000) || (X_1 >= 1000000000))
        || ((Y_1 <= -1000000000) || (Y_1 >= 1000000000))
        || ((Z_1 <= -1000000000) || (Z_1 >= 1000000000))
        || ((A1_1 <= -1000000000) || (A1_1 >= 1000000000))
        || ((B1_1 <= -1000000000) || (B1_1 >= 1000000000))
        || ((C1_1 <= -1000000000) || (C1_1 >= 1000000000))
        || ((D1_1 <= -1000000000) || (D1_1 >= 1000000000))
        || ((G1_1 <= -1000000000) || (G1_1 >= 1000000000))
        || ((H1_1 <= -1000000000) || (H1_1 >= 1000000000))
        || ((I1_1 <= -1000000000) || (I1_1 >= 1000000000))
        || ((J1_1 <= -1000000000) || (J1_1 >= 1000000000))
        || ((K1_1 <= -1000000000) || (K1_1 >= 1000000000))
        || ((L1_1 <= -1000000000) || (L1_1 >= 1000000000))
        || ((M1_1 <= -1000000000) || (M1_1 >= 1000000000))
        || ((O1_1 <= -1000000000) || (O1_1 >= 1000000000))
        || ((P1_1 <= -1000000000) || (P1_1 >= 1000000000))
        || ((R1_1 <= -1000000000) || (R1_1 >= 1000000000))
        || ((S1_1 <= -1000000000) || (S1_1 >= 1000000000))
        || ((U1_1 <= -1000000000) || (U1_1 >= 1000000000))
        || ((W1_1 <= -1000000000) || (W1_1 >= 1000000000))
        || ((X1_1 <= -1000000000) || (X1_1 >= 1000000000))
        || ((Z1_1 <= -1000000000) || (Z1_1 >= 1000000000))
        || ((B2_1 <= -1000000000) || (B2_1 >= 1000000000))
        || ((C2_1 <= -1000000000) || (C2_1 >= 1000000000))
        || ((D2_1 <= -1000000000) || (D2_1 >= 1000000000))
        || ((E2_1 <= -1000000000) || (E2_1 >= 1000000000))
        || ((F2_1 <= -1000000000) || (F2_1 >= 1000000000))
        || ((G2_1 <= -1000000000) || (G2_1 >= 1000000000))
        || ((K2_1 <= -1000000000) || (K2_1 >= 1000000000))
        || ((L2_1 <= -1000000000) || (L2_1 >= 1000000000))
        || ((O2_1 <= -1000000000) || (O2_1 >= 1000000000))
        || ((P2_1 <= -1000000000) || (P2_1 >= 1000000000))
        || ((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000))
        || ((R2_1 <= -1000000000) || (R2_1 >= 1000000000))
        || ((S2_1 <= -1000000000) || (S2_1 >= 1000000000))
        || ((T2_1 <= -1000000000) || (T2_1 >= 1000000000))
        || ((U2_1 <= -1000000000) || (U2_1 >= 1000000000))
        || ((V2_1 <= -1000000000) || (V2_1 >= 1000000000))
        || ((W2_1 <= -1000000000) || (W2_1 >= 1000000000))
        || ((X2_1 <= -1000000000) || (X2_1 >= 1000000000))
        || ((Y2_1 <= -1000000000) || (Y2_1 >= 1000000000))
        || ((B3_1 <= -1000000000) || (B3_1 >= 1000000000))
        || ((C3_1 <= -1000000000) || (C3_1 >= 1000000000))
        || ((E3_1 <= -1000000000) || (E3_1 >= 1000000000))
        || ((F3_1 <= -1000000000) || (F3_1 >= 1000000000))
        || ((G3_1 <= -1000000000) || (G3_1 >= 1000000000))
        || ((H3_1 <= -1000000000) || (H3_1 >= 1000000000))
        || ((J3_1 <= -1000000000) || (J3_1 >= 1000000000))
        || ((A_2 <= -1000000000) || (A_2 >= 1000000000))
        || ((F_2 <= -1000000000) || (F_2 >= 1000000000))
        || ((G_2 <= -1000000000) || (G_2 >= 1000000000))
        || ((H_2 <= -1000000000) || (H_2 >= 1000000000))
        || ((I_2 <= -1000000000) || (I_2 >= 1000000000))
        || ((J_2 <= -1000000000) || (J_2 >= 1000000000))
        || ((K_2 <= -1000000000) || (K_2 >= 1000000000))
        || ((L_2 <= -1000000000) || (L_2 >= 1000000000))
        || ((P_2 <= -1000000000) || (P_2 >= 1000000000))
        || ((Q_2 <= -1000000000) || (Q_2 >= 1000000000))
        || ((R_2 <= -1000000000) || (R_2 >= 1000000000))
        || ((U_2 <= -1000000000) || (U_2 >= 1000000000))
        || ((V_2 <= -1000000000) || (V_2 >= 1000000000))
        || ((W_2 <= -1000000000) || (W_2 >= 1000000000))
        || ((X_2 <= -1000000000) || (X_2 >= 1000000000))
        || ((Y_2 <= -1000000000) || (Y_2 >= 1000000000))
        || ((Z_2 <= -1000000000) || (Z_2 >= 1000000000))
        || ((A1_2 <= -1000000000) || (A1_2 >= 1000000000))
        || ((B1_2 <= -1000000000) || (B1_2 >= 1000000000))
        || ((C1_2 <= -1000000000) || (C1_2 >= 1000000000))
        || ((F1_2 <= -1000000000) || (F1_2 >= 1000000000))
        || ((G1_2 <= -1000000000) || (G1_2 >= 1000000000))
        || ((H1_2 <= -1000000000) || (H1_2 >= 1000000000))
        || ((I1_2 <= -1000000000) || (I1_2 >= 1000000000))
        || ((J1_2 <= -1000000000) || (J1_2 >= 1000000000))
        || ((K1_2 <= -1000000000) || (K1_2 >= 1000000000))
        || ((M1_2 <= -1000000000) || (M1_2 >= 1000000000))
        || ((N1_2 <= -1000000000) || (N1_2 >= 1000000000))
        || ((O1_2 <= -1000000000) || (O1_2 >= 1000000000))
        || ((P1_2 <= -1000000000) || (P1_2 >= 1000000000))
        || ((R1_2 <= -1000000000) || (R1_2 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!
        ((!((B_0 || L1_0 || Q1_0) == O_0))
         && (((!T_0) || (0 <= (W_0 + (-1 * V_0) + (-1 * U_0)))) == S_0)
         && ((D1_0 && E1_0 && (!(F1_0 <= 0))) == T_0) && (O_0 == E1_0)
         && (N_0 == (((!B_0) && (!L1_0) && (!Q1_0)) || M_0)) && (N_0 == D1_0)
         && (R_0 == Q_0) && (R_0 == W_0) && (P_0 == I_0) && (P_0 == F1_0)
         && (G_0 == Q_0) && (G_0 == F_0) && (F_0 == Y_0) && (H_0 == 0)
         && (H_0 == A1_0) && (J_0 == I_0) && (J_0 == G_0) && (K_0 == 0)
         && (K_0 == B1_0) && (L_0 == 0) && (L_0 == C1_0) && (Y_0 == X_0)
         && (A1_0 == Z_0) && (B1_0 == U_0) && (C1_0 == V_0) && (Q1_0
                                                                || (H1_0 ==
                                                                    G1_0))
         && ((!Q1_0) || (P1_0 == O1_0)) && ((!Q1_0) || (G1_0 == I1_0))
         && ((!L1_0) || (N1_0 == M1_0)) && (B_0 || (H1_0 == J1_0)) && ((!B_0)
                                                                       ||
                                                                       (H1_0
                                                                        ==
                                                                        K1_0))
         && ((!B_0) || (A_0 == R1_0))
         && (!(((B_0 && Q1_0) || (B_0 && L1_0) || (L1_0 && Q1_0)) == M_0))))
        abort ();
    state_0 = R_0;
    state_1 = W_0;
    state_2 = P_0;
    state_3 = F1_0;
    state_4 = O_0;
    state_5 = E1_0;
    state_6 = N_0;
    state_7 = D1_0;
    state_8 = B_0;
    state_9 = Q1_0;
    state_10 = L1_0;
    state_11 = M_0;
    state_12 = L_0;
    state_13 = C1_0;
    state_14 = K_0;
    state_15 = B1_0;
    state_16 = J_0;
    state_17 = G_0;
    state_18 = H_0;
    state_19 = A1_0;
    state_20 = F_0;
    state_21 = Y_0;
    state_22 = H1_0;
    state_23 = K1_0;
    state_24 = J1_0;
    state_25 = G1_0;
    state_26 = I1_0;
    state_27 = T_0;
    state_28 = V_0;
    state_29 = U_0;
    state_30 = Q_0;
    state_31 = Z_0;
    state_32 = X_0;
    state_33 = S_0;
    state_34 = I_0;
    state_35 = A_0;
    state_36 = R1_0;
    state_37 = P1_0;
    state_38 = O1_0;
    state_39 = N1_0;
    state_40 = M1_0;
    state_41 = C_0;
    state_42 = D_0;
    state_43 = E_0;
    Q1_1 = __VERIFIER_nondet__Bool ();
    Q2_1 = __VERIFIER_nondet_int ();
    if (((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000)))
        abort ();
    M1_1 = __VERIFIER_nondet_int ();
    if (((M1_1 <= -1000000000) || (M1_1 >= 1000000000)))
        abort ();
    M2_1 = __VERIFIER_nondet__Bool ();
    I2_1 = __VERIFIER_nondet__Bool ();
    E2_1 = __VERIFIER_nondet_int ();
    if (((E2_1 <= -1000000000) || (E2_1 >= 1000000000)))
        abort ();
    A2_1 = __VERIFIER_nondet__Bool ();
    A3_1 = __VERIFIER_nondet__Bool ();
    Z1_1 = __VERIFIER_nondet_int ();
    if (((Z1_1 <= -1000000000) || (Z1_1 >= 1000000000)))
        abort ();
    Z2_1 = __VERIFIER_nondet__Bool ();
    V1_1 = __VERIFIER_nondet__Bool ();
    V2_1 = __VERIFIER_nondet_int ();
    if (((V2_1 <= -1000000000) || (V2_1 >= 1000000000)))
        abort ();
    R1_1 = __VERIFIER_nondet_int ();
    if (((R1_1 <= -1000000000) || (R1_1 >= 1000000000)))
        abort ();
    R2_1 = __VERIFIER_nondet_int ();
    if (((R2_1 <= -1000000000) || (R2_1 >= 1000000000)))
        abort ();
    N1_1 = __VERIFIER_nondet__Bool ();
    N2_1 = __VERIFIER_nondet__Bool ();
    J2_1 = __VERIFIER_nondet__Bool ();
    F2_1 = __VERIFIER_nondet_int ();
    if (((F2_1 <= -1000000000) || (F2_1 >= 1000000000)))
        abort ();
    B2_1 = __VERIFIER_nondet_int ();
    if (((B2_1 <= -1000000000) || (B2_1 >= 1000000000)))
        abort ();
    B3_1 = __VERIFIER_nondet_int ();
    if (((B3_1 <= -1000000000) || (B3_1 >= 1000000000)))
        abort ();
    W1_1 = __VERIFIER_nondet_int ();
    if (((W1_1 <= -1000000000) || (W1_1 >= 1000000000)))
        abort ();
    W2_1 = __VERIFIER_nondet_int ();
    if (((W2_1 <= -1000000000) || (W2_1 >= 1000000000)))
        abort ();
    S1_1 = __VERIFIER_nondet_int ();
    if (((S1_1 <= -1000000000) || (S1_1 >= 1000000000)))
        abort ();
    S2_1 = __VERIFIER_nondet_int ();
    if (((S2_1 <= -1000000000) || (S2_1 >= 1000000000)))
        abort ();
    O1_1 = __VERIFIER_nondet_int ();
    if (((O1_1 <= -1000000000) || (O1_1 >= 1000000000)))
        abort ();
    O2_1 = __VERIFIER_nondet_int ();
    if (((O2_1 <= -1000000000) || (O2_1 >= 1000000000)))
        abort ();
    F_1 = __VERIFIER_nondet_int ();
    if (((F_1 <= -1000000000) || (F_1 >= 1000000000)))
        abort ();
    K2_1 = __VERIFIER_nondet_int ();
    if (((K2_1 <= -1000000000) || (K2_1 >= 1000000000)))
        abort ();
    G2_1 = __VERIFIER_nondet_int ();
    if (((G2_1 <= -1000000000) || (G2_1 >= 1000000000)))
        abort ();
    C2_1 = __VERIFIER_nondet_int ();
    if (((C2_1 <= -1000000000) || (C2_1 >= 1000000000)))
        abort ();
    C3_1 = __VERIFIER_nondet_int ();
    if (((C3_1 <= -1000000000) || (C3_1 >= 1000000000)))
        abort ();
    X1_1 = __VERIFIER_nondet_int ();
    if (((X1_1 <= -1000000000) || (X1_1 >= 1000000000)))
        abort ();
    X2_1 = __VERIFIER_nondet_int ();
    if (((X2_1 <= -1000000000) || (X2_1 >= 1000000000)))
        abort ();
    T1_1 = __VERIFIER_nondet__Bool ();
    T2_1 = __VERIFIER_nondet_int ();
    if (((T2_1 <= -1000000000) || (T2_1 >= 1000000000)))
        abort ();
    P1_1 = __VERIFIER_nondet_int ();
    if (((P1_1 <= -1000000000) || (P1_1 >= 1000000000)))
        abort ();
    P2_1 = __VERIFIER_nondet_int ();
    if (((P2_1 <= -1000000000) || (P2_1 >= 1000000000)))
        abort ();
    L2_1 = __VERIFIER_nondet_int ();
    if (((L2_1 <= -1000000000) || (L2_1 >= 1000000000)))
        abort ();
    H2_1 = __VERIFIER_nondet__Bool ();
    D2_1 = __VERIFIER_nondet_int ();
    if (((D2_1 <= -1000000000) || (D2_1 >= 1000000000)))
        abort ();
    Y1_1 = __VERIFIER_nondet__Bool ();
    Y2_1 = __VERIFIER_nondet_int ();
    if (((Y2_1 <= -1000000000) || (Y2_1 >= 1000000000)))
        abort ();
    U1_1 = __VERIFIER_nondet_int ();
    if (((U1_1 <= -1000000000) || (U1_1 >= 1000000000)))
        abort ();
    U2_1 = __VERIFIER_nondet_int ();
    if (((U2_1 <= -1000000000) || (U2_1 >= 1000000000)))
        abort ();
    S_1 = state_0;
    X_1 = state_1;
    Q_1 = state_2;
    G1_1 = state_3;
    P_1 = state_4;
    F1_1 = state_5;
    O_1 = state_6;
    E1_1 = state_7;
    B_1 = state_8;
    I3_1 = state_9;
    D3_1 = state_10;
    N_1 = state_11;
    M_1 = state_12;
    D1_1 = state_13;
    L_1 = state_14;
    C1_1 = state_15;
    K_1 = state_16;
    H_1 = state_17;
    I_1 = state_18;
    B1_1 = state_19;
    G_1 = state_20;
    Z_1 = state_21;
    I1_1 = state_22;
    L1_1 = state_23;
    K1_1 = state_24;
    H1_1 = state_25;
    J1_1 = state_26;
    U_1 = state_27;
    W_1 = state_28;
    V_1 = state_29;
    R_1 = state_30;
    A1_1 = state_31;
    Y_1 = state_32;
    T_1 = state_33;
    J_1 = state_34;
    A_1 = state_35;
    J3_1 = state_36;
    H3_1 = state_37;
    G3_1 = state_38;
    F3_1 = state_39;
    E3_1 = state_40;
    C_1 = state_41;
    D_1 = state_42;
    E_1 = state_43;
    if (!
        (((1 <= B1_1) == A2_1) && ((1 <= Z_1) == V1_1)
         && (!(((T1_1 && Q1_1) || (T1_1 && N1_1) || (Q1_1 && N1_1)) == H2_1))
         && (!(((B_1 && D3_1) || (B_1 && I3_1) || (D3_1 && I3_1)) == N_1))
         && (((!N2_1) || (0 <= (Q2_1 + (-1 * P2_1) + (-1 * O2_1)))) == M2_1)
         && (((!U_1) || (0 <= (X_1 + (-1 * W_1) + (-1 * V_1)))) == T_1)
         && ((A3_1 && Z2_1 && (!(B3_1 <= 0))) == N2_1)
         && ((E1_1 && F1_1 && (!(G1_1 <= 0))) == U_1)
         && (I2_1 == (E1_1 && (H2_1 || ((!T1_1) && (!Q1_1) && (!N1_1)))))
         && (Z2_1 == I2_1) && (A3_1 == J2_1) && (F1_1 == J2_1)
         && (P_1 == F1_1) && (O_1 == E1_1) && (B2_1 == P1_1) && (D2_1 == C2_1)
         && (F2_1 == S1_1) && (G2_1 == M1_1) && (Q2_1 == L2_1)
         && (S2_1 == B2_1) && (S2_1 == R2_1) && (U2_1 == D2_1)
         && (U2_1 == T2_1) && (W2_1 == E2_1) && (W2_1 == V2_1)
         && (X2_1 == F2_1) && (X2_1 == O2_1) && (Y2_1 == G2_1)
         && (Y2_1 == P2_1) && (B3_1 == K2_1) && (G1_1 == K2_1)
         && (D1_1 == W_1) && (C1_1 == V_1) && (B1_1 == A1_1) && (Z_1 == Y_1)
         && (X_1 == L2_1) && (S_1 == X_1) && (Q_1 == G1_1) && (M_1 == D1_1)
         && (L_1 == C1_1) && (K_1 == H_1) && (I_1 == B1_1) && (H_1 == E2_1)
         && (H_1 == R_1) && (G_1 == Z_1) && (I3_1 || (I1_1 == H1_1))
         && ((!I3_1) || (H1_1 == J1_1)) && ((!N1_1) || (M1_1 == O1_1))
         && (N1_1 || (D1_1 == M1_1)) && ((!Q1_1) || (P1_1 == R1_1))
         && ((!Q1_1) || (W1_1 == C2_1)) && (Q1_1 || (Z_1 == P1_1)) && (Q1_1
                                                                       ||
                                                                       (C3_1
                                                                        ==
                                                                        C2_1))
         && ((!T1_1) || (S1_1 == U1_1)) && ((!T1_1) || (X1_1 == C3_1))
         && (T1_1 || (C1_1 == S1_1)) && (T1_1 || (C3_1 == Z1_1)) && ((!V1_1)
                                                                     ||
                                                                     ((B1_1 +
                                                                       (-1 *
                                                                        W1_1))
                                                                      == -1))
         && ((!V1_1) || ((Z_1 + (-1 * R1_1)) == 1)) && (V1_1
                                                        || (B1_1 == W1_1))
         && (V1_1 || (Z_1 == R1_1)) && ((!Y1_1)
                                        || ((C1_1 + (-1 * U1_1)) == -1))
         && ((!Y1_1) || ((B1_1 + (-1 * X1_1)) == 1)) && (Y1_1
                                                         || (C1_1 == U1_1))
         && (Y1_1 || (B1_1 == X1_1)) && ((!A2_1)
                                         || ((D1_1 + (-1 * O1_1)) == -1))
         && ((!A2_1) || ((B1_1 + (-1 * Z1_1)) == 1)) && (A2_1
                                                         || (D1_1 == O1_1))
         && (A2_1 || (B1_1 == Z1_1)) && ((!B_1) || (I1_1 == L1_1)) && (B_1
                                                                       ||
                                                                       (I1_1
                                                                        ==
                                                                        K1_1))
         && ((1 <= B1_1) == Y1_1)))
        abort ();
    state_0 = L2_1;
    state_1 = Q2_1;
    state_2 = K2_1;
    state_3 = B3_1;
    state_4 = J2_1;
    state_5 = A3_1;
    state_6 = I2_1;
    state_7 = Z2_1;
    state_8 = T1_1;
    state_9 = Q1_1;
    state_10 = N1_1;
    state_11 = H2_1;
    state_12 = G2_1;
    state_13 = Y2_1;
    state_14 = F2_1;
    state_15 = X2_1;
    state_16 = E2_1;
    state_17 = W2_1;
    state_18 = D2_1;
    state_19 = U2_1;
    state_20 = B2_1;
    state_21 = S2_1;
    state_22 = C3_1;
    state_23 = X1_1;
    state_24 = Z1_1;
    state_25 = C2_1;
    state_26 = W1_1;
    state_27 = N2_1;
    state_28 = P2_1;
    state_29 = O2_1;
    state_30 = V2_1;
    state_31 = T2_1;
    state_32 = R2_1;
    state_33 = M2_1;
    state_34 = F_1;
    state_35 = S1_1;
    state_36 = U1_1;
    state_37 = P1_1;
    state_38 = R1_1;
    state_39 = M1_1;
    state_40 = O1_1;
    state_41 = V1_1;
    state_42 = Y1_1;
    state_43 = A2_1;
    goto state_0;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  state_0:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          R_2 = state_0;
          W_2 = state_1;
          P_2 = state_2;
          F1_2 = state_3;
          O_2 = state_4;
          E1_2 = state_5;
          N_2 = state_6;
          D1_2 = state_7;
          B_2 = state_8;
          Q1_2 = state_9;
          L1_2 = state_10;
          M_2 = state_11;
          L_2 = state_12;
          C1_2 = state_13;
          K_2 = state_14;
          B1_2 = state_15;
          J_2 = state_16;
          G_2 = state_17;
          H_2 = state_18;
          A1_2 = state_19;
          F_2 = state_20;
          Y_2 = state_21;
          H1_2 = state_22;
          K1_2 = state_23;
          J1_2 = state_24;
          G1_2 = state_25;
          I1_2 = state_26;
          T_2 = state_27;
          V_2 = state_28;
          U_2 = state_29;
          Q_2 = state_30;
          Z_2 = state_31;
          X_2 = state_32;
          S_2 = state_33;
          I_2 = state_34;
          A_2 = state_35;
          R1_2 = state_36;
          P1_2 = state_37;
          O1_2 = state_38;
          N1_2 = state_39;
          M1_2 = state_40;
          C_2 = state_41;
          D_2 = state_42;
          E_2 = state_43;
          if (!(!S_2))
              abort ();
          goto main_error;

      case 1:
          Q1_1 = __VERIFIER_nondet__Bool ();
          Q2_1 = __VERIFIER_nondet_int ();
          if (((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000)))
              abort ();
          M1_1 = __VERIFIER_nondet_int ();
          if (((M1_1 <= -1000000000) || (M1_1 >= 1000000000)))
              abort ();
          M2_1 = __VERIFIER_nondet__Bool ();
          I2_1 = __VERIFIER_nondet__Bool ();
          E2_1 = __VERIFIER_nondet_int ();
          if (((E2_1 <= -1000000000) || (E2_1 >= 1000000000)))
              abort ();
          A2_1 = __VERIFIER_nondet__Bool ();
          A3_1 = __VERIFIER_nondet__Bool ();
          Z1_1 = __VERIFIER_nondet_int ();
          if (((Z1_1 <= -1000000000) || (Z1_1 >= 1000000000)))
              abort ();
          Z2_1 = __VERIFIER_nondet__Bool ();
          V1_1 = __VERIFIER_nondet__Bool ();
          V2_1 = __VERIFIER_nondet_int ();
          if (((V2_1 <= -1000000000) || (V2_1 >= 1000000000)))
              abort ();
          R1_1 = __VERIFIER_nondet_int ();
          if (((R1_1 <= -1000000000) || (R1_1 >= 1000000000)))
              abort ();
          R2_1 = __VERIFIER_nondet_int ();
          if (((R2_1 <= -1000000000) || (R2_1 >= 1000000000)))
              abort ();
          N1_1 = __VERIFIER_nondet__Bool ();
          N2_1 = __VERIFIER_nondet__Bool ();
          J2_1 = __VERIFIER_nondet__Bool ();
          F2_1 = __VERIFIER_nondet_int ();
          if (((F2_1 <= -1000000000) || (F2_1 >= 1000000000)))
              abort ();
          B2_1 = __VERIFIER_nondet_int ();
          if (((B2_1 <= -1000000000) || (B2_1 >= 1000000000)))
              abort ();
          B3_1 = __VERIFIER_nondet_int ();
          if (((B3_1 <= -1000000000) || (B3_1 >= 1000000000)))
              abort ();
          W1_1 = __VERIFIER_nondet_int ();
          if (((W1_1 <= -1000000000) || (W1_1 >= 1000000000)))
              abort ();
          W2_1 = __VERIFIER_nondet_int ();
          if (((W2_1 <= -1000000000) || (W2_1 >= 1000000000)))
              abort ();
          S1_1 = __VERIFIER_nondet_int ();
          if (((S1_1 <= -1000000000) || (S1_1 >= 1000000000)))
              abort ();
          S2_1 = __VERIFIER_nondet_int ();
          if (((S2_1 <= -1000000000) || (S2_1 >= 1000000000)))
              abort ();
          O1_1 = __VERIFIER_nondet_int ();
          if (((O1_1 <= -1000000000) || (O1_1 >= 1000000000)))
              abort ();
          O2_1 = __VERIFIER_nondet_int ();
          if (((O2_1 <= -1000000000) || (O2_1 >= 1000000000)))
              abort ();
          F_1 = __VERIFIER_nondet_int ();
          if (((F_1 <= -1000000000) || (F_1 >= 1000000000)))
              abort ();
          K2_1 = __VERIFIER_nondet_int ();
          if (((K2_1 <= -1000000000) || (K2_1 >= 1000000000)))
              abort ();
          G2_1 = __VERIFIER_nondet_int ();
          if (((G2_1 <= -1000000000) || (G2_1 >= 1000000000)))
              abort ();
          C2_1 = __VERIFIER_nondet_int ();
          if (((C2_1 <= -1000000000) || (C2_1 >= 1000000000)))
              abort ();
          C3_1 = __VERIFIER_nondet_int ();
          if (((C3_1 <= -1000000000) || (C3_1 >= 1000000000)))
              abort ();
          X1_1 = __VERIFIER_nondet_int ();
          if (((X1_1 <= -1000000000) || (X1_1 >= 1000000000)))
              abort ();
          X2_1 = __VERIFIER_nondet_int ();
          if (((X2_1 <= -1000000000) || (X2_1 >= 1000000000)))
              abort ();
          T1_1 = __VERIFIER_nondet__Bool ();
          T2_1 = __VERIFIER_nondet_int ();
          if (((T2_1 <= -1000000000) || (T2_1 >= 1000000000)))
              abort ();
          P1_1 = __VERIFIER_nondet_int ();
          if (((P1_1 <= -1000000000) || (P1_1 >= 1000000000)))
              abort ();
          P2_1 = __VERIFIER_nondet_int ();
          if (((P2_1 <= -1000000000) || (P2_1 >= 1000000000)))
              abort ();
          L2_1 = __VERIFIER_nondet_int ();
          if (((L2_1 <= -1000000000) || (L2_1 >= 1000000000)))
              abort ();
          H2_1 = __VERIFIER_nondet__Bool ();
          D2_1 = __VERIFIER_nondet_int ();
          if (((D2_1 <= -1000000000) || (D2_1 >= 1000000000)))
              abort ();
          Y1_1 = __VERIFIER_nondet__Bool ();
          Y2_1 = __VERIFIER_nondet_int ();
          if (((Y2_1 <= -1000000000) || (Y2_1 >= 1000000000)))
              abort ();
          U1_1 = __VERIFIER_nondet_int ();
          if (((U1_1 <= -1000000000) || (U1_1 >= 1000000000)))
              abort ();
          U2_1 = __VERIFIER_nondet_int ();
          if (((U2_1 <= -1000000000) || (U2_1 >= 1000000000)))
              abort ();
          S_1 = state_0;
          X_1 = state_1;
          Q_1 = state_2;
          G1_1 = state_3;
          P_1 = state_4;
          F1_1 = state_5;
          O_1 = state_6;
          E1_1 = state_7;
          B_1 = state_8;
          I3_1 = state_9;
          D3_1 = state_10;
          N_1 = state_11;
          M_1 = state_12;
          D1_1 = state_13;
          L_1 = state_14;
          C1_1 = state_15;
          K_1 = state_16;
          H_1 = state_17;
          I_1 = state_18;
          B1_1 = state_19;
          G_1 = state_20;
          Z_1 = state_21;
          I1_1 = state_22;
          L1_1 = state_23;
          K1_1 = state_24;
          H1_1 = state_25;
          J1_1 = state_26;
          U_1 = state_27;
          W_1 = state_28;
          V_1 = state_29;
          R_1 = state_30;
          A1_1 = state_31;
          Y_1 = state_32;
          T_1 = state_33;
          J_1 = state_34;
          A_1 = state_35;
          J3_1 = state_36;
          H3_1 = state_37;
          G3_1 = state_38;
          F3_1 = state_39;
          E3_1 = state_40;
          C_1 = state_41;
          D_1 = state_42;
          E_1 = state_43;
          if (!
              (((1 <= B1_1) == A2_1) && ((1 <= Z_1) == V1_1)
               &&
               (!(((T1_1 && Q1_1) || (T1_1 && N1_1)
                   || (Q1_1 && N1_1)) == H2_1)) && (!(((B_1 && D3_1) || (B_1
                                                                         &&
                                                                         I3_1)
                                                       || (D3_1
                                                           && I3_1)) == N_1))
               && (((!N2_1) || (0 <= (Q2_1 + (-1 * P2_1) + (-1 * O2_1)))) ==
                   M2_1) && (((!U_1)
                              || (0 <= (X_1 + (-1 * W_1) + (-1 * V_1)))) ==
                             T_1) && ((A3_1 && Z2_1
                                       && (!(B3_1 <= 0))) == N2_1) && ((E1_1
                                                                        &&
                                                                        F1_1
                                                                        &&
                                                                        (!
                                                                         (G1_1
                                                                          <=
                                                                          0)))
                                                                       == U_1)
               && (I2_1 ==
                   (E1_1 && (H2_1 || ((!T1_1) && (!Q1_1) && (!N1_1)))))
               && (Z2_1 == I2_1) && (A3_1 == J2_1) && (F1_1 == J2_1)
               && (P_1 == F1_1) && (O_1 == E1_1) && (B2_1 == P1_1)
               && (D2_1 == C2_1) && (F2_1 == S1_1) && (G2_1 == M1_1)
               && (Q2_1 == L2_1) && (S2_1 == B2_1) && (S2_1 == R2_1)
               && (U2_1 == D2_1) && (U2_1 == T2_1) && (W2_1 == E2_1)
               && (W2_1 == V2_1) && (X2_1 == F2_1) && (X2_1 == O2_1)
               && (Y2_1 == G2_1) && (Y2_1 == P2_1) && (B3_1 == K2_1)
               && (G1_1 == K2_1) && (D1_1 == W_1) && (C1_1 == V_1)
               && (B1_1 == A1_1) && (Z_1 == Y_1) && (X_1 == L2_1)
               && (S_1 == X_1) && (Q_1 == G1_1) && (M_1 == D1_1)
               && (L_1 == C1_1) && (K_1 == H_1) && (I_1 == B1_1)
               && (H_1 == E2_1) && (H_1 == R_1) && (G_1 == Z_1) && (I3_1
                                                                    || (I1_1
                                                                        ==
                                                                        H1_1))
               && ((!I3_1) || (H1_1 == J1_1)) && ((!N1_1) || (M1_1 == O1_1))
               && (N1_1 || (D1_1 == M1_1)) && ((!Q1_1) || (P1_1 == R1_1))
               && ((!Q1_1) || (W1_1 == C2_1)) && (Q1_1 || (Z_1 == P1_1))
               && (Q1_1 || (C3_1 == C2_1)) && ((!T1_1) || (S1_1 == U1_1))
               && ((!T1_1) || (X1_1 == C3_1)) && (T1_1 || (C1_1 == S1_1))
               && (T1_1 || (C3_1 == Z1_1)) && ((!V1_1)
                                               || ((B1_1 + (-1 * W1_1)) ==
                                                   -1)) && ((!V1_1)
                                                            ||
                                                            ((Z_1 +
                                                              (-1 * R1_1)) ==
                                                             1)) && (V1_1
                                                                     || (B1_1
                                                                         ==
                                                                         W1_1))
               && (V1_1 || (Z_1 == R1_1)) && ((!Y1_1)
                                              || ((C1_1 + (-1 * U1_1)) == -1))
               && ((!Y1_1) || ((B1_1 + (-1 * X1_1)) == 1)) && (Y1_1
                                                               || (C1_1 ==
                                                                   U1_1))
               && (Y1_1 || (B1_1 == X1_1)) && ((!A2_1)
                                               || ((D1_1 + (-1 * O1_1)) ==
                                                   -1)) && ((!A2_1)
                                                            ||
                                                            ((B1_1 +
                                                              (-1 * Z1_1)) ==
                                                             1)) && (A2_1
                                                                     || (D1_1
                                                                         ==
                                                                         O1_1))
               && (A2_1 || (B1_1 == Z1_1)) && ((!B_1) || (I1_1 == L1_1))
               && (B_1 || (I1_1 == K1_1)) && ((1 <= B1_1) == Y1_1)))
              abort ();
          state_0 = L2_1;
          state_1 = Q2_1;
          state_2 = K2_1;
          state_3 = B3_1;
          state_4 = J2_1;
          state_5 = A3_1;
          state_6 = I2_1;
          state_7 = Z2_1;
          state_8 = T1_1;
          state_9 = Q1_1;
          state_10 = N1_1;
          state_11 = H2_1;
          state_12 = G2_1;
          state_13 = Y2_1;
          state_14 = F2_1;
          state_15 = X2_1;
          state_16 = E2_1;
          state_17 = W2_1;
          state_18 = D2_1;
          state_19 = U2_1;
          state_20 = B2_1;
          state_21 = S2_1;
          state_22 = C3_1;
          state_23 = X1_1;
          state_24 = Z1_1;
          state_25 = C2_1;
          state_26 = W1_1;
          state_27 = N2_1;
          state_28 = P2_1;
          state_29 = O2_1;
          state_30 = V2_1;
          state_31 = T2_1;
          state_32 = R2_1;
          state_33 = M2_1;
          state_34 = F_1;
          state_35 = S1_1;
          state_36 = U1_1;
          state_37 = P1_1;
          state_38 = R1_1;
          state_39 = M1_1;
          state_40 = O1_1;
          state_41 = V1_1;
          state_42 = Y1_1;
          state_43 = A2_1;
          goto state_0;

      default:
          abort ();
      }

    // return expression

}

